#include <stdbool.h>
#include "io430.h"

bool isEven(int x);

// Lckentext 12
void switchLED(bool state);

int power(int base, int exponent);

int main(void)
{
  // Stop watchdog timer to prevent time out reset
  WDTCTL = WDTPW + WDTHOLD;
 
  bool a = isEven(23);
  bool b = isEven(22);
  switchLED(isEven(23));
  
  int c = power(3,4);
  int d = power(3,0);
  int e = power(3,1);
  
  //Lckentext 10
  int lastPosition = 13;
  int currentPosition = 42;
  switchLED(currentPosition - lastPosition > 0);
  
  return 0;
}

// Lckentext 5
bool isEven(int x)
{
  return x%2 == 0;
  
  //oder aufwndig:
  /*
  bool result = false;
  if(x%2 == 0)
  {
    result = true;
  }
  return result;
  */
}

// Lckentext 6 und 13
void switchLED(bool state)
{
  if(state)
  {
    P1OUT |= 0x40;
  }
  else
  {
    P1OUT &= ~0x40;
  }
}

// Lckentext 7
void switchLEDoff(void)
{
  P1OUT &= ~0x40;
}

// Lckentext 8
bool isButtonPressed(void)
{
  return (P1IN & 8) == 0;
}

// Lckentext 9
int power(int base, int exponent)
{
  int result = 1;
  for(int i = 1; i <= exponent; i++)
  {
    result *= base;
  }
  return result;
}

// Lckentext 11
void toggleLED(void)
{
  static bool isOn = false;
  if(!isOn)
  {
    P1OUT |= 0x40;
  }
  else
  {
    P1OUT &= ~0x40;
  }
  isOn = !isOn;
}

